## gstcolorbalance gstcolorbalance — Interface for adjusting color balance settings |

## Synopsis

    #include <gst/interfaces/color.h>

                        GstColorBalance;
    enum                GstColorBalanceType;
    const GList*        gst_color_balance_list_channels     (GstColorBalance *balance);
    gint                gst_color_balance_get_value         (GstColorBalance *balance,
                                                             GstColorBalanceChannel *channel);
    void                gst_color_balance_set_value         (GstColorBalance *balance,
                                                             GstColorBalanceChannel *channel,
                                                             gint value);
    void                gst_color_balance_value_changed     (GstColorBalance *balance,
                                                             GstColorBalanceChannel *channel,
                                                             gint value);

## Object Hierarchy

      GInterface
       +----GstColorBalance

## Prerequisites

GstColorBalance requires GstObject, GstImplementsInterface and GstElement.

## Signals

      "value-changed"                                  : Run Last

## Description

## Details

### GstColorBalance

    typedef struct _GstColorBalance GstColorBalance;

### enum GstColorBalanceType

    typedef enum
    {
      GST_COLOR_BALANCE_HARDWARE,
      GST_COLOR_BALANCE_SOFTWARE
    } GstColorBalanceType;

### gst_color_balance_list_channels ()

    const GList*        gst_color_balance_list_channels     (GstColorBalance *balance);

`balance` : |
Returns : |

### gst_color_balance_get_value ()

    gint                gst_color_balance_get_value         (GstColorBalance *balance,
                                                             GstColorBalanceChannel *channel);

`balance` : |
`channel` : |
Returns : |

### gst_color_balance_set_value ()

    void                gst_color_balance_set_value         (GstColorBalance *balance,
                                                             GstColorBalanceChannel *channel,
                                                             gint value);

`balance` : |
`channel` : |
`value` : |

### gst_color_balance_value_changed ()

    void                gst_color_balance_value_changed     (GstColorBalance *balance,
                                                             GstColorBalanceChannel *channel,
                                                             gint value);

`balance` : |
`channel` : |
`value` : |

## Signal Details

### The "value-changed" signal

    void                user_function                      (GstColorBalance        *gstcolorbalance,
                                                            GstColorBalanceChannel *arg1,
                                                            gint                    arg2,
                                                            gpointer                user_data)            : Run Last

`gstcolorbalance` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.